using EveCalc.Shared;
using EveCalc.Shared.Logic;
using EveCalc.Shared.StaticData;
using EveCalc.Shared.Views;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace EveCalc.Tests
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private readonly EsiClientWrapper client = new EsiClientWrapper();

        public MainWindow()
        {
            this.InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var url = this.client.GetLoginUrl();
            var browser = new BrowserView(url);
            if (browser.ShowDialog() == true)
            {
                this.client.SetAuthCode(browser.AuthCode);
            }
        }

        private async void Button_Click_1(object sender, RoutedEventArgs e)
        {
            //var result = await this.client.GetCorpMats();
            //var bla = await this.client.Search("tritanium");
            var bla = new StaticDataProvider();
        }
    }
}
